:root {
  --dark-focus-color: #000000;
  --light-focus-color: #ffffff;
  --focus-border-padding-offset: 4px;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

span.dashicons {
  margin-right: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

span.dashicons-universal-access:before {
  font-size: 0.8em;
  border: 2px solid #ffffff;
  border-radius: 30px;
}

.phoneicon-sec-nav {
  font-size: 1em;
  margin-right: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dashicons-phone {
  font-size: 1.2em;
}

.et_pb_button_0_wrapper.et_pb_module > a:focus {
  outline: 2px solid var(--dark-focus-color) !important;
  offset: 2px;
}

ul#et-secondary-nav {
  display: flex !important;
  justify-content: center;
  align-items: center;
}

div#et-info a:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

a.secondary-menu-link-with-icon {
  display: flex !important;
  justify-content: center;
  align-items: center;
}

#skiplinks > a {
  z-index: 100001 !important;
}

a:focus img#logo {
  outline: 2px solid var(--dark-focus-color) !important;
  offset: 2px;
}

.logo_container a:focus {
  outline: none !important;
}

#et_search_icon:focus:before,
#et_close_search_field:focus:before {
  outline: 2px solid var(--dark-focus-color) !important;
  offset: 2px;
}

span#et_search_icon:focus {
  outline: none !important;
}

input.et-search-field {
  height: 35px;
}

#et-secondary-nav a:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

a.dark-focus-ring.modallink:focus {
  outline: 2px solid var(--dark-focus-color) !important;
  offset: 2px;
}

.modalclose:focus {
  outline: 2px solid var(--dark-focus-color);
  offset: 2px;
}

/*
 * Stile für das Desktop Menü, manches ist Fallback, jQuery ermittelt korrekten Wert für z.B. 33px
*/
@media only screen and (min-width: 981px) {
  li.menu-item {
    padding-bottom: 33px !important;
  }

  li.menu-item a {
    padding-bottom: 0 !important;
    outline-offset: 4px !important;
  }

  ul.sub-menu {
    margin-top: 33px !important;
  }

  ul.sub-menu ul.sub-menu {
    margin-top: 0 !important;
  }

  ul.sub-menu li {
    padding-bottom: 0 !important;
  }

  .mega-menu.menu-item-has-children {
    padding-bottom: 0 !important;
  }

  .mega-menu.menu-item-has-children > ul.sub-menu::before {
    content: "";
    display: block;
    position: absolute;
    top: -33px;
    left: 0;
    width: 100%;
    height: 33px;
    pointer-events: none;
  }

  .mega-menu.menu-item-has-children:hover > ul.sub-menu::before {
    pointer-events: auto;
  }

  #top-menu li.mega-menu > ul > li > a:first-child {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    margin-bottom: 15px !important;
    cursor: pointer !important;
  }

  .focus {
    outline: 2px solid var(--dark-focus-color) !important;
  }
}

/* Suche */
#main-content div.et_pb_module.et_pb_search form div {
  padding: 4px;
  gap: 4px;
}

/* Gallery */
div.a11y-gallery .et-pb-arrow-prev,
div.a11y-gallery .et-pb-arrow-next {
  color: white;
  background-color: rgb(0, 0, 0);
  opacity: 1 !important;
}

div.a11y-gallery .et-pb-arrow-prev {
  left: var(--focus-border-padding-offset);
}

div.a11y-gallery .et-pb-arrow-next {
  right: var(--focus-border-padding-offset);
}

div.a11y-gallery .et-pb-arrow-prev:focus,
div.a11y-gallery .et-pb-arrow-next:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

.a11y-gallery.et_pb_slider:hover .et-pb-arrow-next {
  right: var(--focus-border-padding-offset) !important;
}

.a11y-gallery.et_pb_slider:hover .et-pb-arrow-prev {
  left: var(--focus-border-padding-offset) !important;
}

.et_pb_gallery_image:focus-within {
  outline: 2px solid var(--dark-focus-color);
  outline-offset: 2px;
}

.a11y-gallery.et_pb_slider .et_pb_gallery_image {
  padding: 4px !important;
}

div.a11y-gallery .et-pb-controllers {
  bottom: 20px !important;
  display: flex;
  height: 20px;
  justify-content: center;
  gap: 4px;
  align-content: center;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  width: 100px;
}

div.a11y-gallery .et-pb-controllers a {
  margin-top: 5px !important;
}

div.a11y-gallery .et-pb-controllers a:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

.dsm-filterable-gallery-container ul.dsm-filterable-category-container {
  padding-top: 4px !important;
}

/* Fullwidth Slider */
div.a11-fullwidth-slider .et-pb-arrow-prev,
div.a11-fullwidth-slider .et-pb-arrow-next {
  color: white;
  background-color: rgb(0, 0, 0);
  opacity: 1 !important;
}

div.a11-fullwidth-slider .et-pb-arrow-prev {
  left: var(--focus-border-padding-offset);
}

div.a11-fullwidth-slider .et-pb-arrow-next {
  right: var(--focus-border-padding-offset);
}

.et_pb_fullwidth_slider_0.a11-fullwidth-slider.et_pb_slider
  .et_pb_more_button.et_pb_button:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

div.a11-fullwidth-slider .et-pb-arrow-prev:focus,
div.a11-fullwidth-slider .et-pb-arrow-next:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

.a11-fullwidth-slider.et_pb_slider:hover .et-pb-arrow-next {
  right: var(--focus-border-padding-offset) !important;
}

.a11-fullwidth-slider.et_pb_slider:hover .et-pb-arrow-prev {
  left: var(--focus-border-padding-offset) !important;
}

.a11-fullwidth-slider.et_pb_slider .et_pb_slide {
  padding: 4px !important;
}

div.a11-fullwidth-slider .et-pb-controllers {
  bottom: 20px !important;
  display: flex;
  height: 20px;
  justify-content: center;
  gap: 4px;
  align-content: center;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  width: 100px;
}

div.a11-fullwidth-slider .et-pb-controllers a {
  margin-top: 5px !important;
}

div.a11-fullwidth-slider .et-pb-controllers a:focus {
  outline: 2px solid var(--light-focus-color) !important;
  offset: 2px;
}

input.et_pb_searchsubmit {
  border-radius: 3px;
}

/* Blog Module */
.et_pb_blog_grid img:focus {
  outline: none !important;
}

/* dsm-tab erweitert */
.dsm-tab:focus .dsm-title {
  color: #ffffff !important;
}

/* mfp modal gallerie  */
.mfp-container :focus {
  outline: 2px solid var(--light-focus-color) !important;
  outline-offset: 2px;
  opacity: 1 !important;
}

/* video player */
.et_pb_video:focus-within {
  outline: 2px solid var(--dark-focus-color) !important;
  offset: 2px;
}

/* Footer Focus Outline Color */
footer a:focus {
  outline: 2px solid var(--light-focus-color) !important;
}
